Annonce

Écrire une réponse

Veuillez écrire votre message et l'envoyer

Cliquez dans la zone sombre de l'image pour envoyer votre message.

Retour

Résumé de la discussion (messages les plus récents en premier)

VinceJo
2012-11-13 19:00:21

Bonsoir Tiico et merci pour ta réponse

Perso je n'en suis pas capable et je ne connais personne qui le serait, mais je ne désespère toutefois pas que le fait de faire remonter ce fil puisse intéresser quelqu'un...

Si toutefois tu trouvais un peu de temps...

@++

Vince

www.brin-de-lumiere.fr

tiico
2012-11-12 23:38:04

Salut,
en fait, faute de temps, je n'ai pas mis à jour ce plugin... peut être un de ces jours (surtout qu'il est toujours en version non finalisé...)
Si tu trouves une bonne âme qui peut le faire, il n'y a aucun problème pour qu'elle le fasse.
@+
Tiico

VinceJo
2012-11-12 23:27:59

Bonjour,

Je me permets de remonter cette discussion car j'ai vu Flash Gallery fonctionner sur un site utilisant une ancienne version de piwigo, et ça m'a beaucoup plus !

J'aimerai utiliser ce plugin sur mon propre site, mais manifestement il n'est plus mis à jour depuis un certain temps ;(

Certain d'entre vous auraient t'ils réussi à le bricoler pour le rendre compatible avec piwigo 2.4 ? Ou le dev aurait il dans ses projets de le mettre à jour ??

Merci d'avance de vos réponses

Vince

www.brin-de-lumiere.fr

tiico
2011-05-04 21:55:22

Salut Gotcha
merci pour la notif!
Ca fait effectivement pas mal de temps que je n'ai pas touché à ce plugin. J'avais quelques évolutions et corrections en cours mais je n'ai pas eu le temps de finir...
J'avoue qu'en ce moment, c'est un peut difficile pour moi de m'occuper de ce plugin. Je vais essayer de jeter un coup d'oeil mais je ne vous promet rien.
Le plugin n'est resté qu'en version 0.0.2 car il y a encore bcp de chose à faire pour le rendre pleinement fonctionnel.... (et ajouter des modules!) J'espère qu'un jour une v1.0.0 verra le jour.

Bref, je vais essayer de voir ce que je peux faire mais ca ne sera pas tout de suite...
Pour info, je me suis fortement inspiré de PWG Stuff pour la base de ce plugin (gestion des modules). Il faut peut être voir ce ce côté pour trouver ce qu'il y a modifier mais ... vu que Pat a pas mal fait évolué le plugin ca risque de ne pas être évident.

@+
Tiico

Gotcha
2011-05-04 17:28:33

Parménide a écrit:

Ok merci, c'est vraiment génial !!

Oui m'enfin mes connaissances ne me permettent pas de faire grand chose. Je viens déjà de faire ce que je pouvais, maintenant j'attends l'aide du développeur car les modules ne fonctionnent pas xD

L'intégration ne semble pas poser de problème mais si les modules ne fonctionnent pas, le plugin ne sert à rien lol

@tiico : j'ai livré :
[Subversion] r10757
[Subversion] r10758
J'ai un doute sur cette dernière révision...

J'ai expérimenté avec le module "AutoViewer".

A toi faire ce que tu peux :-)
Merci.


[Ce message est envoyé en copie à Tiico]

Parménide
2011-05-04 15:49:15

Ok merci, c'est vraiment génial !!

Gotcha
2011-05-04 15:04:57

Parménide a écrit:

Merci pour les réponses !! :-)
Je vais tester en remontant les versions quand j'aurai le temps, et je vous tiendrai informé

Attendez, on va s'arranger pour rendre le plugin compatible pour la v2.2 :-D

Gotcha
2011-05-04 15:04:29

Le plugin est presque compatible pour la v2.2

Seule la gestion des thèmes est encore revoir, plus particulièrement le code :

Code:

/* Return template for user template/theme*/
  function get_template($file, $modulename = null)
  {
    global $user, $template;


    if (isset($modulename))
  {
    $dir = FLASHGAL_PATH . 'modules/'.$modulename .'/';
    return $dir.$file;
  }
  else
  {
    $dir = FLASHGAL_PATH . 'template/';
    $theme_file = $dir.$user['template'].'/'.$user['theme'].'/'.$file;
    $template_file = $dir.$user['template'].'/'.$file;
      if (file_exists($theme_file))
      {
        return $theme_file;
      }
      elseif (file_exists($template_file))
      {
        return $template_file;
      }
      else
    {
      return $dir.$file;
    }
  }
//      echo "dir=".$dir.$file;
  }
}

Mais je n'arrive à l'arranger :-/

[EDIT]
C'est bon pour ça.

Parménide
2011-05-04 13:40:37

Merci pour les réponses !! :-)
Je vais tester en remontant les versions quand j'aurai le temps, et je vous tiendrai informé

mistic100
2011-05-04 12:43:50

aucune idée, sur la page c'est écrit 2.0.x, donc je n'ai pas pris de risque ^^

Gotcha
2011-05-04 12:43:05

mistic100 a écrit:

Piwigo 2.0.6 dispo ici http://piwigo.org/download/dlcounter.php?code=2.0.6

Le plugin ne fonctionne t-il pas en v2.1.x ?

mistic100
2011-05-04 12:35:42
Parménide
2011-05-04 12:08:14

Bonjour,

Même question actualisée ;-)

Est-il prévu que le plugin soit compatible 2.2.x ?

Si non, où peut-on trouver la dernière version de piwigo compatible ?

En tout cas merci pour le travail fourni !!

tiico
2010-06-14 14:25:06

surhiliste a écrit:

Bonjour Tiico,

Je voudrai savoir s'il y a une migration de prévue de Flash Gallery vers Piwigo 2.1.1 ?

Merci à toi.

Bonjour,

effectivement il est prévu que je "migre" les plugins que j'ai créé pour une compatibilité avec piwigo 2.1.x
Par contre, je ne saurais pas trop de dire quand ca sera OK!! j'ai bcp moins de temps (en ce moment) à consacrer à ces devs.
Peut être que ca peut aller vite mais je n'ai pas encore regardé.

@+
Tiico

surhiliste
2010-06-12 08:43:51

Bonjour Tiico,

Je voudrai savoir s'il y a une migration de prévue de Flash Gallery vers Piwigo 2.1.1 ?

Merci à toi.

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2020 · Contact